<?php

require_once ABSPATH . WPINC . '/class-wp-image-editor.php';
require_once ABSPATH . WPINC . '/class-wp-image-editor-gd.php';

class WP_Image_Editor_GD_Watermark extends WP_Image_Editor_GD {
 
    public function merge(WP_Image_Editor_GD $image, $args = array()) {
        $size = $image->get_size();
        imagealphablending($image->get_image(), true);
	imagesavealpha($image->get_image(), true);
        imagealphablending($this->image, true);
	imagesavealpha($this->image, true);        
        return imagecopy($this->image, $image->get_image(), $args['x'], $args['y'], 0, 0, $size['width'], $size['height']);        
    }
    
    public function get_image() {
        return $this->image;
    }
    
}
